#!/bin/bash



            #Parameters          #defVal     #Range    
sig=2.5     #sigma               2            <0,5>     sets the sigma of Gaussian blur
s=1.0       #scale               1            <0.3,1>   scales down the image as working on scaled down image may result in more accurate detection
p=0         #polarity            0            {-1,0,1}  selects polarity of detected ellipses
R=0.5       #Ratio               0.7          <0.6,1.2> Ratio between support inliers and arc length
Tr=0.5      #Treshold            0.6          <0.4,0.8> keeps ellipses with goodness measure > Treshold 
eps=1.25    #eps                 1.25         <1,3>     validates an inlier if Rosin distance < eps
Ss=8        #Searchsize          8            <4,16>    sets search size of the statistical area
Tcover=2.8  #Tcoverage           1.57         <1.8,3.9> arc combination with coverage > Tcover are used in ellipse fiting
show=0      #show                0            {0,1}     displays the image with extracted ellipses if set to 1
#DISCLAIMER! if using the provided docker file show must always be set to 0
out="../../extracted/ASBED/"    #output dirrectory path

./arc_support ${sig} ${s} ${p} ${R} ${Tr} ${eps} ${Ss} ${Tcover} ${show}  ${out} $@
