#!/bin/bash

LC_NUMERIC=de_DE.UTF-8

                    #Parameters    defVal      Range    
Ta=1.05             #theta_arc     1.05        <0.5,1.4>    parameter used in convexity testing
La=3.4              #lambda_arc    3.4         <2,5>        parameter used in convexity testing
Tr=0.75             #threshold     0.8         <0.45,85>    ellipses with Pscore > treshold are kept
sig=1.414           #sigma         1.414       <0,5>        parameter sigma used with Gaussian blur
scale=0.8           #scale         0.8         <0.3,1.0>    scales down image as images with lower scales may have more accurate ressults
show=0              #show          0           {0, 1}       displays image with detected ellipses if set to 1
# DISCLAIMER! the parameter show should always be set to 0
# if used with the provided dockerfile
out="../../extracted/AAMBED/" #outpit file path

./Arc_matrix ${Ta} ${La} ${Tr} ${sig} ${scale} ${show} ${out} $@
